#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "Templates/SubclassOf.h"
#include "UObject/NoExportTypes.h"
#include "K36D20VisualDiceRollerComponent.generated.h"

class AK36D20Dice;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UK36D20VisualDiceRollerComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<AK36D20Dice> _diceClass;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	AK36D20Dice* _playerDice;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FVector _relativeLocationFromCamera;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FVector _attachedToCameraScale;

public:
	UK36D20VisualDiceRollerComponent();
};

FORCEINLINE uint32 GetTypeHash(const UK36D20VisualDiceRollerComponent) { return 0; }
